netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
main.c File Reference
`#include <sys/types.h>`
`#include <sys/param.h>`
`#include <sys/socket.h>`
`#include <sys/time.h>`
`#include <sys/uio.h>`
`#include <netatalk/at.h>`
`#include <atalk/aep.h>`
`#include <atalk/ddp.h>`
`#include <atalk/atp.h>`
`#include <atalk/globals.h>`
`#include <atalk/iniparser_util.h>`
`#include <errno.h>`
`#include <iniparser.h>`
`#include <signal.h>`
`#include <stdio.h>`
`#include <stdint.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <unistd.h>`
`#include <syslog.h>`
`#include <fcntl.h>`
`#include <sys/ioctl.h>`
`#include <sysexits.h>`
`#include <pwd.h>`
`#include "common.h"`
`#include "macip.h"`
`#include "tunnel.h"`
`#include "util.h"`

## Functions
static void | die (int n)
static void | server (void)
void | disassociate (void)
void | usage (char *c)
struct passwd * | get_user (const char *username)
macip_options * | read_options (const char *conf)
int | main (int argc, char *argv[])

## Variables
int | atsocket
int | tundev
int | debug = 0
static char * | version = VERSION

## Function Documentation

## ◆ die()

void die | ( | int | n | ) |
| static

## ◆ disassociate()

void disassociate | ( | void |  | ) |

## ◆ get_user()

struct passwd * get_user | ( | const char * | username | ) |

## ◆ main()

int main | ( | int | argc,
|  | char * | argv[] )

## ◆ read_options()

macip_options * read_options | ( | const char * | conf | ) |

## ◆ server()

void server | ( | void |  | ) |
| static

## ◆ usage()

void usage | ( | char * | c | ) |

## Variable Documentation

## ◆ atsocket

int atsocket

## ◆ debug

int debug = 0

## ◆ tundev

int tundev

## ◆ version

char* version = VERSION
| static